Get a custom field by ID
You're viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.GET
Retrieve detailed information about a custom field definition.
header
AuthorizationBearer <token>Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
id*string200
application/json- response
id*stringUnique custom field identifier
name*stringCustom field name
type*stringField type: DOCUMENT or CONTACT
Value in
"DOCUMENT""CONTACT"inputType*stringInput type: TEXT, NUMBER, DATE, CHECKBOX, SELECT, TEXTAREA, EMAIL, PHONE, or URL
Value in
"TEXT""NUMBER""DATE""EMAIL""PHONE""URL""BOOLEAN""SELECT""JSON""TEXTAREA"defaultValue*|Default value for this field
required*booleanWhether this field is required
options*|Options for SELECT type fields as a JSON-encoded string array, for example ["Small","Large"]
createdAt*stringDate and time when custom field was created
Format
date-timeupdatedAt*stringDate and time when custom field was last updated
Format
date-timecurl -X GET 'https://app.sajn.se/api/v1/custom-fields/string' \ -H 'authorization: string'Example Response
{ "id": "string", "name": "string", "type": "DOCUMENT", "inputType": "TEXT", "defaultValue": "string", "required": true, "options": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Was this page helpful?